Commit 30fdeda3 authored by Yann Garcia's avatar Yann Garcia
Browse files

Change CharCoding::UNKNOWN by CharCoding::UNKNOWN_CHAR_CODING

parent 2938b64a
Loading
Loading
Loading
Loading
+1 −1
Original line number Original line Diff line number Diff line
@@ -236,7 +236,7 @@ void geonetworking_layer::send_data(OCTETSTRING &data, params &p_params) {
}
}


const TTCN_RAWdescriptor_t  _intx_raw_   = {RAW_INTX,          SG_NO, ORDER_MSB, ORDER_MSB, ORDER_LSB, ORDER_MSB, EXT_BIT_NO, ORDER_LSB, ORDER_LSB,
const TTCN_RAWdescriptor_t  _intx_raw_   = {RAW_INTX,          SG_NO, ORDER_MSB, ORDER_MSB, ORDER_LSB, ORDER_MSB, EXT_BIT_NO, ORDER_LSB, ORDER_LSB,
                                         TOP_BIT_INHERITED, 0,     0,         0,         8,         0,         NULL,       -1,        CharCoding::UNKNOWN};
                                         TOP_BIT_INHERITED, 0,     0,         0,         8,         0,         NULL,       -1,        CharCoding::UNKNOWN_CHAR_CODING};
const TTCN_Typedescriptor_t _intx_descr_ = {"IntX", NULL, &_intx_raw_, NULL, NULL, NULL, NULL, NULL, NULL, TTCN_Typedescriptor_t::DONTCARE};
const TTCN_Typedescriptor_t _intx_descr_ = {"IntX", NULL, &_intx_raw_, NULL, NULL, NULL, NULL, NULL, NULL, TTCN_Typedescriptor_t::DONTCARE};


void geonetworking_layer::receive_data(OCTETSTRING &data, params &p_params) {
void geonetworking_layer::receive_data(OCTETSTRING &data, params &p_params) {
+1 −1
Original line number Original line Diff line number Diff line
FROM stfubuntu:22.04
FROM stfubuntu:20.04


LABEL ETSI ITS
LABEL ETSI ITS
LABEL description="TS.ITS Docker Image"
LABEL description="TS.ITS Docker Image"
+1 −1
Original line number Original line Diff line number Diff line
FROM ubuntu:22.04
FROM ubuntu:20.04


LABEL ETSI CTI
LABEL ETSI CTI
LABEL description="STF Docker Ubuntu image"
LABEL description="STF Docker Ubuntu image"
+1 −1
Original line number Original line Diff line number Diff line
@@ -13,7 +13,7 @@ if [ "$1" == "--force-stfubuntu" ]; then
fi
fi
# Check and build stfubuntu image
# Check and build stfubuntu image
if [ -z `docker images -q stfubuntu` ]; then
if [ -z `docker images -q stfubuntu` ]; then
    docker build --no-cache --tag stfubuntu:22.04 -f Dockerfile.stfubuntu --force-rm  . || exit 1
    docker build --no-cache --tag stfubuntu:20.04 -f Dockerfile.stfubuntu --force-rm  . || exit 1
fi
fi


docker build --no-cache --tag etsiforge-r2 --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )
docker build --no-cache --tag etsiforge-r2 --force-rm  . || ( echo "Docker build failed: $?"; exit 1 )